Subject: Re: bug#31749: 26.1; Improve eldoc message commands heuristic

From: Noam Postavsky <[email-masked]>
Date: Wed, 13 Jun 2018 20:10:25 -0400

severity 31749 wishlist
quit

Carlos Pita <[email-masked]> writes:

> The current criterion essentially removes the echo area message after
> any command not whitelisted in eldoc-message-commands.
>
> This is problematic since the list of relevant commands is unknown in
> advance for evert possible extension package. One could argue that
> extension package maintainers are responsible then, but I have had many
> problems with eldoc behaving suboptimally in conjunction with company
> mode, elpy mode and others (which are all quality extensions) that I
> wouldn't put the burden of this on the maintainers.
>
> Now, I might be completely wrong, but why don't you just check if
> (current-message) is nil or not? This way if any command has written to
> the echo area eldoc won't override its message. You can still keep the
> whitelist in order to force override by eldoc (although I don't see much
> value in this). You have probably thought many times about this
> alternative and rejected for reasons I'm unable to see, but it's worth
> to intent ;)

Not sure if anybody's considered this, perhaps you can try it out and
see if there are any drawbacks?